"""
Configs migration

Generation datetime: 2022-11-16 09:50:16.970041
"""

from typing import List

from configs_core.migration.db_migrate_helper import (
    DatabaseMigrationHelper,
    ExternalLimitationToModify,
    LimitationToModify,
)

mh: DatabaseMigrationHelper

REVISION = "ff3392de"
DOWN_REVISION = "1345bff2"


limitationsToModify: List[LimitationToModify] = []

externalLimitationsToModify: List[ExternalLimitationToModify] = []


def upgrade():
    """Upgrade configs to new revision"""

    # limitations to rename
    mh.renameLimitation(oldName="LIVENESS_THRESHOLD", newName="LIVENESSV1_THRESHOLD")

    # limitations to modify
    for limitation in limitationsToModify:
        mh.migrateLimitation(limitation)

    for limitation in externalLimitationsToModify:
        mh.migrateLimitation(limitation)


def downgrade():
    """Downgrade configs to previous revision"""

    # limitations to modify
    for limitation in externalLimitationsToModify:
        mh.migrateLimitation(limitation)

    # limitations to modify
    for limitation in limitationsToModify:
        mh.migrateLimitation(limitation)

    # limitations to rename
    mh.renameLimitation(oldName="LIVENESSV1_THRESHOLD", newName="LIVENESS_THRESHOLD")
