"""
Configs migration

Generation datetime: 2024-03-19 08:34:59.831660
"""

from configs_core.migration.db_migrate_helper import (
    DatabaseMigrationHelper,
    ExternalLimitationToModify,
    LimitationToModify,
)

mh: DatabaseMigrationHelper

REVISION = "d6293637"
DOWN_REVISION = "182ecb3a"


limitationsToModify: list[LimitationToModify] = [
    LimitationToModify(
        limitationName="LAMBDA_REGISTRY",
        oldValidationSchema={"type": "string"},
        newValidationSchema={"type": "string"},
        oldDefaultValue="",
        newDefaultValue="registry.address",
        oldDescription="lambda registry",
        newDescription="lambda registry",
        oldGroupNames=["luna-platform"],
        newGroupNames=["luna-platform"],
        settingUpgradeFunction=lambda x: x or "registry.address",
        settingDowngradeFunction=lambda x: x,
        # DON'T REMOVE SERVICES. Used in profiled migrations.
        oldServices=["luna-lambda"],
        newServices=["luna-lambda"],
    ),
]

externalLimitationsToModify: list[ExternalLimitationToModify] = []


def upgrade():
    """Upgrade configs to new revision"""

    # limitations to modify
    for limitation in limitationsToModify:
        mh.migrateLimitation(limitation)

    for limitation in externalLimitationsToModify:
        mh.migrateLimitation(limitation)


def downgrade():
    """Downgrade configs to previous revision"""

    # limitations to modify
    for limitation in externalLimitationsToModify:
        mh.migrateLimitation(limitation)

    # limitations to modify
    for limitation in limitationsToModify:
        mh.migrateLimitation(limitation)
